Get item types by UUIDs for a facility
Retrieves item type details for the provided array of UUIDs, with organization tax rate information
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/itemTypes/get_by_uuids \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"itemTypeUuids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/itemTypes/get_by_uuids"
payload = { "itemTypeUuids": ["3fa85f64-5717-4562-b3fc-2c963f66afa6", "3fa85f64-5717-4562-b3fc-2c963f66afa7"] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
itemTypeUuids: ['3fa85f64-5717-4562-b3fc-2c963f66afa6', '3fa85f64-5717-4562-b3fc-2c963f66afa7']
})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/itemTypes/get_by_uuids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"itemTypeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemTypeName": "<string>",
"description": "<string>",
"category": "<string>",
"isRecurring": true,
"isRequiredAtMoveIn": true,
"isRequiredAtTransfer": true,
"isTaxable": true,
"taxCode": "<string>",
"isActive": true,
"isProratedAtMoveIn": true,
"feeType": "<string>",
"fixedFeeAmount": 123,
"feePercentage": 123,
"organizationItemTaxRate": {
"organizationItemTaxRateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cityTax": 123,
"countyTax": 123,
"stateTax": 123,
"specialTax": 123,
"taxCode": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"itemTypeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mostRecent": true,
"isActive": true
}
}
]Headers
Api key required to authenticate your request. Please reach out to monument for a key.
"monument-2230012-2312321"
Path Parameters
Body
Array of item type UUIDs to retrieve data for
[
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
Response
Successfully retrieved item types data
Item type UUID
Item type name
Item type description
Item type category
Whether the item type is recurring
Whether the item type is required at move in
Whether the item type is required at transfer
Whether the item type is taxable
Tax code
Whether the item type is active
Whether the item type is prorated at move in
Fee type
Fixed fee amount in pennies based on the UNIT_RENT item type
Fee percentage based on the UNIT_RENT item type
Organization item tax rate information
Show child attributes
Show child attributes

